For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get post-install scripts

Retrieve post-install scripts associated with your account. Use this endpoint to view available automation scripts for VPS deployment.

Get post-install scripts

get

Retrieve post-install scripts associated with your account.

Use this endpoint to view available automation scripts for VPS deployment.

Authorizations
AuthorizationstringRequired

API Token authentication

Query parameters
pageintegerOptional

Page number

Example: 1
Responses
200

Success response

application/json
get/api/vps/v1/post-install-scripts
GET /api/vps/v1/post-install-scripts HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": 325,
      "name": "My Setup Script",
      "content": "#!/bin/bash\\napt-get update\\napt-get install -y nginx",
      "created_at": "2025-02-27T11:54:22Z",
      "updated_at": "2025-03-19T11:54:22Z"
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 15,
    "total": 100
  }
}

Last updated

Was this helpful?